package com.tzld.piaoquan.recommend.server.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DouHotVideoPortraitDataRepository extends JpaRepository<DouHotVideoPortraitData, Long> {

    List<DouHotVideoPortraitData> findAllByVidInAndType(List<String> videoIds, Integer type);

    @Query(value = "select vid, name, `option`, sum(if(type = 1, value, 0)) as rate, sum(if(type = 2, value, 0)) as tgi from douhot_video_portrait_data where `option` = 4 and vid IN (:videos) group by vid, name, `option` having tgi >= 100",
            nativeQuery = true)
    List<DouHotVideoProvince> findRecordTGIGe100AndRateDesc(@Param("videos") List<String> videos);
}